pcl::io::PointCloudImageExtractorWithScaling< PointT > Class Template Reference
Module io

Image Extractor extension which provides functionality to apply scaling to the values extracted from a field. More...

`#include <pcl/io/point_cloud_image_extractors.h>`

Inheritance diagram for pcl::io::PointCloudImageExtractorWithScaling< PointT >:

## Public Types

enum | ScalingMethod { SCALING_NO, SCALING_FULL_RANGE, SCALING_FIXED_FACTOR }
| Different scaling methods. More...
typedef boost::shared_ptr< PointCloudImageExtractorWithScaling< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudImageExtractorWithScaling< PointT > > | ConstPtr
Public Types inherited from pcl::io::PointCloudImageExtractor< PointT >
typedef pcl::PointCloud< PointT > | PointCloud
typedef boost::shared_ptr< PointCloudImageExtractor< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudImageExtractor< PointT > > | ConstPtr

## Public Member Functions

| PointCloudImageExtractorWithScaling (const std::string &field_name, const ScalingMethod scaling_method)
| Constructor. More...
| PointCloudImageExtractorWithScaling (const std::string &field_name, const float scaling_factor)
| Constructor. More...
virtual | ~PointCloudImageExtractorWithScaling ()
| Destructor. More...
void | setScalingMethod (const ScalingMethod scaling_method)
| Set scaling method. More...
void | setScalingFactor (const float scaling_factor)
| Set fixed scaling factor. More...
Public Member Functions inherited from pcl::io::PointCloudImageExtractor< PointT >
| PointCloudImageExtractor ()
| Constructor. More...
virtual | ~PointCloudImageExtractor ()
| Destructor. More...
bool | extract (const PointCloud &cloud, pcl::PCLImage &image) const
| Obtain the image from the given cloud. More...
void | setPaintNaNsWithBlack (bool flag)
| Set a flag that controls if image pixels corresponding to NaN (infinite) points should be painted black. More...

## Protected Member Functions

virtual bool | extractImpl (const PointCloud &cloud, pcl::PCLImage &image) const
| Implementation of the extract() function, has to be implemented in deriving classes. More...

## Protected Attributes

std::string | field_name_
ScalingMethod | scaling_method_
float | scaling_factor_
Protected Attributes inherited from pcl::io::PointCloudImageExtractor< PointT >
bool | paint_nans_with_black_
| A flag that controls if image pixels corresponding to NaN (infinite) points should be painted black. More...

## Detailed Description

### template<typename PointT>
class pcl::io::PointCloudImageExtractorWithScaling< PointT >

Image Extractor extension which provides functionality to apply scaling to the values extracted from a field.

Author
  Sergey Alexandrov

Definition at line 131 of file point_cloud_image_extractors.h.

## Member Typedef Documentation

template<typename PointT >

typedef boost::shared_ptr<const PointCloudImageExtractorWithScaling<PointT> > pcl::io::PointCloudImageExtractorWithScaling< PointT >::ConstPtr

Definition at line 137 of file point_cloud_image_extractors.h.

template<typename PointT >

typedef boost::shared_ptr<PointCloudImageExtractorWithScaling<PointT> > pcl::io::PointCloudImageExtractorWithScaling< PointT >::Ptr

Definition at line 136 of file point_cloud_image_extractors.h.

## Member Enumeration Documentation

template<typename PointT >

enum pcl::io::PointCloudImageExtractorWithScaling::ScalingMethod

Different scaling methods.

- SCALING_NO - no scaling.
- SCALING_FULL_RANGE - scales to full range of the output value.
- SCASING_FIXED_FACTOR - scales by a given fixed factor.

Enumerator
SCALING_NO |
SCALING_FULL_RANGE |
SCALING_FIXED_FACTOR |

Definition at line 146 of file point_cloud_image_extractors.h.

## Constructor & Destructor Documentation

template<typename PointT >

pcl::io::PointCloudImageExtractorWithScaling< PointT >::PointCloudImageExtractorWithScaling | ( | const std::string & | field_name,
|  | const ScalingMethod | scaling_method
| ) |  |

inline

Constructor.

Definition at line 154 of file point_cloud_image_extractors.h.

template<typename PointT >

pcl::io::PointCloudImageExtractorWithScaling< PointT >::PointCloudImageExtractorWithScaling | ( | const std::string & | field_name,
|  | const float | scaling_factor
| ) |  |

inline

Constructor.

Definition at line 162 of file point_cloud_image_extractors.h.

template<typename PointT >

virtual pcl::io::PointCloudImageExtractorWithScaling< PointT >::~PointCloudImageExtractorWithScaling | ( |  | ) |

inline virtual

Destructor.

Definition at line 170 of file point_cloud_image_extractors.h.

## Member Function Documentation

template<typename PointT >

bool pcl::io::PointCloudImageExtractorWithScaling< PointT >::extractImpl | ( | const PointCloud & | cloud,
|  | pcl::PCLImage & | image
| ) |  | const

protected virtual

Implementation of the extract() function, has to be implemented in deriving classes.

Implements pcl::io::PointCloudImageExtractor< PointT >.

Definition at line 501 of file point_cloud_image_extractors.hpp.

References pcl::PCLImage::data, pcl::PCLImage::encoding, pcl::getFieldIndex(), pcl::PCLImage::height, pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::points, pcl::PCLImage::step, pcl::PCLImage::width, and pcl::PointCloud< PointT >::width.

template<typename PointT >

void pcl::io::PointCloudImageExtractorWithScaling< PointT >::setScalingFactor | ( | const float | scaling_factor | ) |

inline

Set fixed scaling factor.

Definition at line 181 of file point_cloud_image_extractors.h.

References pcl::io::PointCloudImageExtractor< PointT >::extractImpl().

template<typename PointT >

void pcl::io::PointCloudImageExtractorWithScaling< PointT >::setScalingMethod | ( | const ScalingMethod | scaling_method | ) |

inline

Set scaling method.

Definition at line 174 of file point_cloud_image_extractors.h.

## Member Data Documentation

template<typename PointT >

std::string pcl::io::PointCloudImageExtractorWithScaling< PointT >::field_name_

protected

Definition at line 191 of file point_cloud_image_extractors.h.

template<typename PointT >

float pcl::io::PointCloudImageExtractorWithScaling< PointT >::scaling_factor_

protected

Definition at line 193 of file point_cloud_image_extractors.h.

template<typename PointT >

ScalingMethod pcl::io::PointCloudImageExtractorWithScaling< PointT >::scaling_method_

protected

Definition at line 192 of file point_cloud_image_extractors.h.

The documentation for this class was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/io/include/pcl/io/point_cloud_image_extractors.h
- /build/pcl-0nnAvv/pcl-1.7.2/io/include/pcl/io/impl/point_cloud_image_extractors.hpp